ksayit(1)

NAME
ksayit - A Text-to-speech front-end to kttsd.

SYNOPSIS
ksayit [file] [ Generic Options] [Qt-options] [TDE-options]

DESCRIPTION
KSayIt is a small utilitiy for TDE that simply speaks a given textfile in a very high quality, i.e. sound and pronounciation of the spoken text should be as natural as possible. KSayIt uses natively Text-To-Speech systems like MBrola, any TTS system that can be controlled via a command line or any TTS system that is supported by the TTS system (i.e. Festival). KSayIt offers three user interfaces: A simple text editor window in which you can enter or paste text that should be spoken after pressing a play button, as well as an icon in the systemtray that starts to speak by a single mouseclick the actual content of the clipboard. As a TDE application it offers also a DCOP interface for the say and shut-up action. Finally KSayIt provides an effectstack to postprocess the sound of the voice (currently only a Freeverb effect is included)

GENERIC OPTIONS

--help
    Show help about options.

--help-qt
    Show Qt specific options.

--help-tde
    Show TDE specific options.

--help-all
    Show all options.

--author
    Show author information.

-v, --version
    Show version information.

QT OPTIONS

--display <displayname>
    Use the X-server display `displayname'.

--session <sessionId>
    Restore the application for the given `sessionId'.

--cmap
    Causes the application to install a private color map on an 8-bit display.

--ncols <count>
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification.

--nograb
    Tells Qt to never grab the mouse or the keyboard.

--dograb
    Running under a debugger can cause an implicit -nograb, use -dograb to override.

--sync
    Switches to synchronous mode for debugging.

--fn, --font <fontname>
    Defines the application font.

--bg, --background <color>
    Sets the default background color and an application palette (light and dark shades are calculated).

--fg, --foreground <color>
    Sets the default foreground color.

--btn, --button <color>
    Sets the default button color.

--name <name>
    Sets the application name.

--title <title>
    Sets the application title (caption).

--visual TrueColor
    Forces the application to use a TrueColor visual on an 8-bit display.

--inputstyle <inputstyle>
    Sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespot and root.

--im <XIM server>
    Set XIM server.

--noxim
    Disable XIM.

TDE OPTIONS

--caption <caption>
    Use `caption' as name in the titlebar.

--icon <icon>
    Use `icon' as the application icon.

--miniicon <icon>
    Use `icon' as the icon in the titlebar.

--dcopserver <server>
    Use the DCOP Server specified by `server'.

--nocrashhandler
    Disable crash handler, to get core dumps.

--waitforwm
    Waits for a WM_NET compatible windowmanager.

--style <style>
    Sets the application GUI style.

--geometry <geometry>
    Sets the client geometry of the main widget.

SEE ALSO
More detailed user documentation is available from help:/ksayit (either enter this URL into konqueror, or run `khelpcenter help:/ksayit').

There is also further information available at the tdeaccessibility project home page." ksayit(1)

AUTHORS
Robert Vogl <voglrobe@web.de>